package com.yihu.wlyy.statistics.dao;

import com.yihu.wlyy.statistics.model.dimension.WlyyDimensionQuota;
import com.yihu.wlyy.statistics.model.job.WlyyQuotaResult;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by chenweida on 2017/7/10.
 */
public interface WlyyDimensionQuotaDao extends PagingAndSortingRepository<WlyyDimensionQuota, Long>, JpaSpecificationExecutor< WlyyDimensionQuota> {
    @Query("from WlyyDimensionQuota w where w.quotaCode=?1 order by sort asc")
    List<WlyyDimensionQuota> findDimensionQuotasByQuotaCode(String id);
}
