package com.yihu.wlyy.statistics.dao;

import com.yihu.wlyy.statistics.model.team.AdminTeam;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * 行政团队DAO。
 * 
 * @author Sand
 */
public interface DoctorAdminTeamDao extends
        PagingAndSortingRepository<AdminTeam, Long>,
        JpaSpecificationExecutor<AdminTeam> {



    @Query(" from AdminTeam t where length(t.orgCode) = 10 and available=true")
    List<AdminTeam> findAllTeam();
}
