package com.yihu.wlyy.statistics.etl.model;

/**
 * Created by Administrator on 2016.10.20.
 */
public class ErrorModel {
    private String code;//错误数据的主键
    private String type;//错误的类型

    private ErrorModel(String code, String type) {
        this.code=code;
        this.type=type;
    }

    public static ErrorModel newEM(String code, String type){
        return new ErrorModel(code,type);
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public static String sign_hospital_null="签约表中(wlyy_sign_family)中的hospital数据为空";
    public static String sign_hospital_noExist="签约表中(wlyy_sign_family)中的hospital数据不存在";
    public static String sign_hospital_isTest="签约表中(wlyy_sign_family)中的hospital数据是测试数据";
    public static String sign_adminTeam_null="签约表中(wlyy_sign_family)中的团队数据为空";
    public static String sign_adminTeam_noExist="签约表中(wlyy_sign_family)中的团队数据不存在";
    public static String sign_town_null="机构表的中的town为空";
    public static String sign_town_noExist="机构表的中的town不存在";
    public static String sign_idcard_error="签约表中(wlyy_sign_family)中的身份证错误";
    public static String sign_idcard_error_age="签约表中(wlyy_sign_family)中的身份证解析年龄失败";
    public static String sign_idcard_error_sex="签约表中(wlyy_sign_family)中的身份证解析性别失败";

    public static String renew_hospital_null="续签表中(wlyy_sign_family_renew)中的hospital数据为空";
    public static String renew_hospital_noExist="续签表中(wlyy_sign_family_renew)中的hospital数据不存在";
    public static String renew_hospital_isTest="续签表中(wlyy_sign_family_renew)中的hospital数据是测试数据";
    public static String renew_adminTeam_null="续签表中(wlyy_sign_family_renew)中的团队数据为空";
    public static String renew_adminTeam_noExist="续签表中(wlyy_sign_family_renew)中的团队数据不存在";
    public static String renew_town_null="机构表的中的town为空";
    public static String renew_town_noExist="机构表的中的town不存在";
    public static String renew_idcard_error="续签表中(wlyy_sign_family_renew)中的身份证错误";
    public static String renew_idcard_error_age="续签表中(wlyy_sign_family_renew)中的身份证解析年龄失败";
    public static String renew_idcard_error_sex="续签表中(wlyy_sign_family_renew)中的身份证解析性别失败";


    public static String consult_adminTeam_null="咨询的团队(wlyy_consult_team)中的admin_team_code数据为空";
    public static String consult_adminTeam_noExist="咨询的团队(wlyy_consult_team)中的admin_team_code数据不存在";
    public static String consult_hospital_null="咨询的团队(wlyy_consult_team)中的admin_team_code在团队表中的orgCode为空";
    public static String consult_hospital_noExist="咨询的团队(wlyy_consult_team)中的admin_team_code在团队表中的orgCode为不存在";
    public static String consult_hospital_isTest="咨询的团队(wlyy_consult_team)中的admin_team_code在团队表中的orgCode为测试机构";
    public static String consult_town_null="咨询的团队(wlyy_consult_team)中的admin_team_code在团队表中的orgCode在机构表对应的机构的town为空";
    public static String consult_town_noExist="咨询的团队(wlyy_consult_team)中的admin_team_code在团队表中的orgCode在机构表对应的机构的town不存在";


    public static String healthGuidance_sign_noExist="健康咨询中的患者所属的家庭签约不存在";
    public static String healthGuidance_adminTeam_null="健康咨询中的患者所属的家庭签约表中(wlyy_sign_family)中的团队数据为空";
    public static String healthGuidance_adminTeam_noExist="健康咨询中的患者所属的家庭签约表中(wlyy_sign_family)中的团队数据不存在";
    public static String healthGuidance_hospital_null="健康咨询中的患者所属的家庭签约表中(wlyy_sign_family)中的hospital数据为空";
    public static String healthGuidance_hospital_noExist="健康咨询中的患者所属的家庭签约表中(wlyy_sign_family)中的hospital数据不存在";
    public static String healthGuidance_hospital_isTest="健康咨询中的患者所属的家庭签约表中(wlyy_sign_family)中的hospital数据是测试机构";
    public static String healthGuidance_town_null="健康咨询中的患者所属的家庭签约中所属机构表的中的town为空";
    public static String healthGuidance_town_noExist="健康咨询中的患者所属的家庭签约中所属机构表的中的town为不存在";

    public static String fv_sign_noExist="随访中的患者所属的家庭签约不存在";
    public static String fv_idcard_null="随访中的患者身份证为空";
    public static String fv_adminTeam_null="随访中的患者所属的家庭签约表中(wlyy_sign_family)中的团队数据为空";
    public static String fv_adminTeam_noExist="随访中的患者所属的家庭签约表中(wlyy_sign_family)中的团队数据不存在";
    public static String fv_hospital_null="随访中的患者所属的家庭签约表中(wlyy_sign_family)中的hospital数据为空";
    public static String fv_hospital_noExist="随访中的患者所属的家庭签约表中(wlyy_sign_family)中的hospital数据不存在";
    public static String fv_hospital_isTest="随访中的患者所属的家庭签约表中(wlyy_sign_family)中的hospital数据是测试机构";
    public static String fv_town_null="随访中的患者所属的家庭签约中所属机构表的中的town为空";
    public static String fv_town_noExist="随访中的患者所属的家庭签约中所属机构表的中的town为不存在";
}
