package com.yihu.wlyy.service.weixin.wxpay.common;

import org.springframework.context.annotation.Configuration;

/**
 * User: hzp
 * Date: 20170518
 * 这里放置各种配置数据
 */
@Configuration
public class Configure {
	/******************************* 易联众统一支付平台 ***********************************************************/
//	private String onepayApi = "http://120.42.37.94:1301/onepay-web/";
//	private String onepayAppId = "1BGKM1UHM03P7B2CA8C000005626EB0E";
//	private String onepayAppSecret = "1BGKM1UHM03I7B2CA8C00000AB682E9A";
//			开发环境应用信息
	private String onepayApi = "https://xmhealth.ylzpay.com:8080/";
	private String onepayAppId = "1BLF5SEGN00087165F0A000027362BE5";
	private String onepayAppSecret = "1BLF5SCBO01V3E78A8C00000F3A0FFE7";


	private String bindCardType = "onepay.sicard.bind.info";
	private String chargeType = "onepay.trade.medical.charge";
	private String chargeQueryType = "onepay.trade.medical.charge.query";
	private String createSicardType = "onepay.sicard.createurl";
//	易联众异步回调
	private String receiveNotify = "wlyy.onepay.receiveNotify";

	public String getReceiveNotify() {
		return receiveNotify;
	}

	public void setReceiveNotify(String receiveNotify) {
		this.receiveNotify = receiveNotify;
	}

	public String getOnepayApi() {
		return onepayApi;
	}
	public String getOnepayAppId() {
		return onepayAppId;
	}
	public String getOnepayAppSecret() {
		return onepayAppSecret;
	}

	public String getBindCardType() {
		return bindCardType;
	}

	public String getChargeType() {
		return chargeType;
	}

	public String getChargeQueryType() {
		return chargeQueryType;
	}

	public String getCreateSicardType() {
		return createSicardType;
	}

	/******************* 微信社保支付配置 ******************************************/
	//这个就是自己要保管好的私有Key了（切记只能放在自己的后台代码里，不能放在任何可能被看到源代码的客户端程序中）
	// 每次自己Post数据给API的时候都要用这个key来对所有字段进行签名，生成的签名会放在Sign这个字段，API收到Post数据的时候也会用同样的签名算法对Post过来的数据进行签名和验证
	// 收到API的返回的时候也要用这个key来对返回的数据算下签名，跟API的Sign数据进行比较，如果值不一致，有可能数据被第三方给篡改
	private String key = "2935b54b53a957d9516c920a544f2537";

	//微信分配的公众号ID（开通公众号之后可以获取到）
	private String appID = "wxd03f859efdf0873d";


	public String getKey(){
		return key;
	}

	public String getAppid(){
		return appID;
	}

	//获取token地址
	public String TOKEN_API = "https://api.weixin.qq.com/payinsurance/gettoken";

	//挂号/诊间支付统一下单 API 接口
	public String ORDER_API = "https://api.weixin.qq.com/payinsurance/unifiedorder?access_token ACCESS_TOKEN";





}
