package com.yihu.wlyy.entity.organization;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 医院映射表
 *
 * @author hzp
 */

@Entity
@Table(name = "wlyy_hospital_mapping")
public class HospitalMapping extends IdEntity {

    // 本地机构代码
    private String code;
    // 机构名称
    private String name;
    // 对接机构
    private String type;
    // 映射机构代码
    private String mappingCode;
    // 易联众appid
    private String appId;
    // 易联众app secret
    private String appSecret;
    //机构编码号（来自基卫）
    private String sbCode;

    public String getSbCode() {
        return sbCode;
    }

    public void setSbCode(String sbCode) {
        this.sbCode = sbCode;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMappingCode() {
        return mappingCode;
    }

    public void setMappingCode(String mappingCode) {
        this.mappingCode = mappingCode;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }
}
