package com.yihu.wlyy.repository.consult;

import com.yihu.wlyy.entity.consult.Evaluate;
import com.yihu.wlyy.entity.consult.EvaluateScore;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;


/**
 * Created by 卓 on 2017/5/10.
 */
public interface EvaluateScoreDao extends PagingAndSortingRepository<EvaluateScore, Long>, JpaSpecificationExecutor<EvaluateScore> {

    int countEvaluateScoreByDoctor(String doctor);

    /**
     * 获取某个咨询的评分
     * @param consult
     * @return
     */
    List<EvaluateScore> findByConsult(String consult);

    List<EvaluateScore> findByConsultAndDoctor(String consult,String doctor);
}
