package com.yihu.wlyy.repository.doctor;

import com.yihu.wlyy.entity.doctor.team.sign.SignLabel;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by yeshijie on 2017/6/1.
 */
public interface SignLabelDao extends PagingAndSortingRepository<SignLabel, Long>, JpaSpecificationExecutor<SignLabel> {

    @Query("select a from SignLabel a where a.status = 1 order by sort")
    List<SignLabel> findLabels();
}
