package com.yihu.wlyy.repository.patient;

import com.yihu.wlyy.entity.patient.PatientFamilyTemp;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Trick on 2017/4/18.
 */
public interface PatientFamilyTempDao extends PagingAndSortingRepository<PatientFamilyTemp, Long>,
        JpaSpecificationExecutor<PatientFamilyTemp> {
    public List<PatientFamilyTemp> findByDealerAndPatient(String dealer,String patient);

    public List<PatientFamilyTemp> findByDealerAndPatientAndState(String dealer,String patient,String state);

    public List<PatientFamilyTemp> findByPatientAndState(String patient,String state);
}
