package com.yihu.wlyy.service.weixin.wxpay.model;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.yihu.wlyy.entity.organization.HospitalMapping;
import com.yihu.wlyy.repository.organization.HospitalMappingDao;
import com.yihu.wlyy.service.third.httplog.LogService;
import com.yihu.wlyy.service.weixin.wxpay.common.Configure;
import com.ylzinfo.onepay.sdk.OnepayDefaultClient;
import com.ylzinfo.onepay.sdk.domain.RequestParams;
import com.ylzinfo.onepay.sdk.domain.ResponseParams;
import com.ylzinfo.onepay.sdk.utils.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.PrintWriter;
import java.io.StringWriter;

/**
 * 社保卡绑定信息
 * add by hzp at 20170524
 */
public class BindCard {
    private String attachCardNo;
    private String attachIdType;
    private String attachIdNo;
    private String attachName;
    private String attachRelation;   //01配偶 02父母 03子女  98本人 99未知

    public String getAttachCardNo() {
        return attachCardNo;
    }

    public void setAttachCardNo(String attachCardNo) {
        this.attachCardNo = attachCardNo;
    }

    public String getAttachIdType() {
        return attachIdType;
    }

    public void setAttachIdType(String attachIdType) {
        this.attachIdType = attachIdType;
    }

    public String getAttachIdNo() {
        return attachIdNo;
    }

    public void setAttachIdNo(String attachIdNo) {
        this.attachIdNo = attachIdNo;
    }

    public String getAttachName() {
        return attachName;
    }

    public void setAttachName(String attachName) {
        this.attachName = attachName;
    }

    public String getAttachRelation() {
        return attachRelation;
    }

    public void setAttachRelation(String attachRelation) {
        this.attachRelation = attachRelation;
    }
}
